org.bdgenomics.adam.rdd

# GenomeBins

#### case class GenomeBins(binSize: Long, seqLengths: Map[String, Long]) extends Serializable with Product

Partition a genome into a set of bins.

Note that this class will not tolerate invalid input, so filter in advance if you use it.

binSize

  The size of each bin in nucleotides

seqLengths

  A map containing the length of each contig

Linear Supertypes
Product, Equals, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenomeBins
2. Product
3. Equals
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenomeBins(binSize: Long, seqLengths: Map[String, Long])

   binSize

     The size of each bin in nucleotides

   seqLengths

     A map containing the length of each contig

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val binSize: Long

   The size of each bin in nucleotides

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def get(region: ReferenceRegion, useStart: Boolean = true): Int

    Get the bin number corresponding to a query ReferenceRegion.

    Get the bin number corresponding to a query ReferenceRegion.

    region

      the query ReferenceRegion

    useStart

      whether to use the start or end point of region to pick the bin

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def getEndBin(region: ReferenceRegion): Int

    Get the bin number corresponding to the end of the query ReferenceRegion.

14. #### def getStartBin(region: ReferenceRegion): Int

    Get the bin number corresponding to the start of the query ReferenceRegion.

15. #### def invert(bin: Int): ReferenceRegion

    Given a bin number, return its corresponding ReferenceRegion.

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def numBins: Int

    The total number of bins induced by this partition.

21. #### val seqLengths: Map[String, Long]

    A map containing the length of each contig

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped